Loading...
Searching...
No Matches
OgreRenderQueueSortingGrouping.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgrePass.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::QueuedRenderableCollection
| Lowest level collection of renderables. More...
class | Ogre::QueuedRenderableVisitor
| Visitor interface for items in a QueuedRenderableCollection. More...
struct | Ogre::RenderablePass
| Struct associating a single Pass with a single Renderable. More...
class | Ogre::RenderPriorityGroup
| Collection of renderables by priority. More...
class | Ogre::RenderQueueGroup
| A grouping level underneath RenderQueue which groups renderables to be issued at coarsely the same time to the renderer. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef std::vector< Renderable * > | Ogre::RenderableList